This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
oeSENC Plugin install error
#1
Hey

I have today installed OpenPlotter on my RPi4 Model 4 8 GB.

i will in OpenCPN add oeSENC plugin, it gets installed and removed again, because it says OpenCPN does not fit this version.


then I have tried to update all programs in the settings menu and it has not helped

I really hope someone can help

MVH
Benjamin
Skipper on Skibladner II
Reply
#2
(2021-03-23, 09:02 PM)SkibladnerII Wrote: Hey

I have today installed OpenPlotter on my RPi4 Model 4 8 GB.

i will in OpenCPN add oeSENC plugin, it gets installed and removed again, because it says OpenCPN does not fit this version.


then I have tried to update all programs in the settings menu and it has not helped

I really hope someone can help

MVH
Benjamin
Skipper on Skibladner II

Hi B,

if you use the usb Oesenc plug. Then sometimes a file is missing: try installing libusb-0.1-4. If you use 64 bits RaspiOS you need another version of the Oesenc plugin.

Bram
Reply
#3
(2021-03-24, 10:00 AM)verkerkbr Wrote:
(2021-03-23, 09:02 PM)SkibladnerII Wrote: Hey

I have today installed OpenPlotter on my RPi4 Model 4 8 GB.

i will in OpenCPN add oeSENC plugin, it gets installed and removed again, because it says OpenCPN does not fit this version.


then I have tried to update all programs in the settings menu and it has not helped

I really hope someone can help

MVH
Benjamin
Skipper on Skibladner II

Hi B,

if you use the usb Oesenc plug. Then sometimes a file is missing: try installing libusb-0.1-4. If you use 64 bits RaspiOS you need another version of the Oesenc plugin.

Bram

How to do that, I am brand new in this Rpi4 world
Reply
#4
(2021-03-24, 12:27 PM)SkibladnerII Wrote:
(2021-03-24, 10:00 AM)verkerkbr Wrote:
(2021-03-23, 09:02 PM)SkibladnerII Wrote: Hey

I have today installed OpenPlotter on my RPi4 Model 4 8 GB.

i will in OpenCPN add oeSENC plugin, it gets installed and removed again, because it says OpenCPN does not fit this version.


then I have tried to update all programs in the settings menu and it has not helped

I really hope someone can help

MVH
Benjamin
Skipper on Skibladner II

Hi B,

if you use the usb Oesenc plug. Then sometimes a file is missing: try installing libusb-0.1-4. If you use 64 bits RaspiOS you need another version of the Oesenc plugin.

Bram

How to do that, I am brand new in this Rpi4 world

Installing this file in a Linux system terminal is:

sudo apt install libusb-0.1.-4.

And don't forget to switch the Oesenc plugin to on ! (Plugin menu) 

What operating system do you use ?

Bram
Reply
#5
(2021-03-24, 01:30 PM)verkerkbr Wrote:
(2021-03-24, 12:27 PM)SkibladnerII Wrote:
(2021-03-24, 10:00 AM)verkerkbr Wrote:
(2021-03-23, 09:02 PM)SkibladnerII Wrote: Hey

I have today installed OpenPlotter on my RPi4 Model 4 8 GB.

i will in OpenCPN add oeSENC plugin, it gets installed and removed again, because it says OpenCPN does not fit this version.


then I have tried to update all programs in the settings menu and it has not helped

I really hope someone can help

MVH
Benjamin
Skipper on Skibladner II

Hi B,

if you use the usb Oesenc plug. Then sometimes a file is missing: try installing libusb-0.1-4. If you use 64 bits RaspiOS you need another version of the Oesenc plugin.

Bram

How to do that, I am brand new in this Rpi4 world

Installing this file in a Linux system terminal is:

sudo apt install libusb-0.1.-4.

And don't forget to switch the Oesenc plugin to on ! (Plugin menu) 

What operating system do you use ?

Bram
pi@openplotter:~ $ sudo apt install libusb-0.1.-4.
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ        
Læser tilstandsoplysninger... Færdig
E: Kunne ikke lokalisere pakken libusb-0.1.-4.
E: Kunne ikke finde nogle pakker med glob »libusb-0.1.-4.«
E: Kunne ikke finde nogle pakker med regulært udtryk »libusb-0.1.-4.«
pi@openplotter:~ $ sudo apt install libusb-0.1.-4
Indlæser pakkelisterne... Færdig
Opbygger afhængighedstræ        
Læser tilstandsoplysninger... Færdig
E: Kunne ikke lokalisere pakken libusb-0.1.-4
E: Kunne ikke finde nogle pakker med glob »libusb-0.1.-4«
E: Kunne ikke finde nogle pakker med regulært udtryk »libusb-0.1.-4«
pi@openplotter:~ $ 

does not work
Reply
#6
I have been in contact with o-charts.org and their response was:

Hi Benjamin,
There is a small bug in OpenCPN that will be fixed on next versions. Please open an terminal and type this to install a required package:

sudo apt install opencpn-sglock-arm32

You are right something is not working as it should with the oeSENC plugin on Raspberry. I have been able to reproduce your issue.
I will escalate this to plugin developers and I will back to you with a solution ASAP.
Roberto

usb key can be seen by RPi4.

lsusb
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 003: ID 1547:1000 SG Intec Ltd & Co KG SG-Lock[U2]
Bus 001 Device 002: ID 2109:3431 VIA Labs, Inc. Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

now I am awaiting a response from o-charts.org
thanks for the help so far
Reply
#7
I had the same problem with oeSENC 4.2.19.10. Today after updating to oeSENC 4.2.19.16 it was gone. But now I have the Problem described here:
https://forum.openmarine.net/showthread.php?tid=3353

Thomas
Thomas
Reply
#8
open an terminal and type this to install a required package:

sudo apt install opencpn-sglock-arm32

Then start OpenCPN that worked for me.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)